> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Status Pages

`GET https://api.pagerduty.com/status_pages`

List Status Pages.

Scoped OAuth requires: `status_pages.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `status_page_type` | string |  | The type of the Status Page. One of: `public`, `private`, `audience_specific`. |
| `limit` | integer |  | The number of results per page. Default: `100`. Minimum: 0. Maximum: 100. |
| `offset` | integer |  | Offset to start pagination search results. Default: `0`. Minimum: 0. |
| `total` | boolean |  | By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://docs.pagerduty.com/developer/pagination) for more information. Default: `false`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

OK

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `offset` | integer |  | Echoes offset pagination property. Read-only. |
| `limit` | integer |  | Echoes limit pagination property. Read-only. |
| `more` | boolean |  | Indicates if there are additional records to return. Read-only. |
| `total` | integer \| null |  | The total number of records matching the given query. Read-only. |
| `status_pages` | array of object |  |  |
| `status_pages[].id` | string |  | An unique identifier within Status Page scope that defines a Status Page entry. Read-only. |
| `status_pages[].name` | string |  | The name of a Status Page to be presented as a brand title (for example, the rendered Status Page HTML header). Min length: 1. Max length: 125. |
| `status_pages[].published_at` | string \| null (date-time) |  | The date time moment when a Status Page was published to be publicly available. Read-only. |
| `status_pages[].status_page_type` | string |  | The type of Status Pages to retrieve - public is accessible to everyone on the internet or private requiring some sort of authentication/authorization layer. One of: `public`, `private`, `audience_specific`. |
| `status_pages[].url` | string (uri) |  | The URL from which the Status Page can be accessed on the internet (either customer's domain or default *.trust.pagerduty.com). |
| `status_pages[].type` | string |  | A string that determines the schema of the object. This must be the standard name for the entity, suffixed by _reference if the object is a reference. |

Example: Response Example

```json
{
  "limit": 100,
  "more": false,
  "offset": 0,
  "status_pages": [
    {
      "id": "PT4KHLK",
      "name": "My brand Status Page",
      "published_at": "2017-09-13T10:11:12.000Z",
      "status_page_type": "private",
      "type": "status_page",
      "url": "https://status.mybrand.example"
    }
  ]
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
